Alternate 3.5 support Rated 4 out of 5 stars

For those of you using 3.5 and not wishing to get into .xpi hackery, the nightly testing tools FF extension will allow you to override the version check when installing TagSifter. You will need to install TagSifter from the "Older Versions" page; when installing you'll be given a warning about version mismatch and allowed to bypass the check. Once installed, seems to work fine, at least for me.

Great extension, in any event...provides the missing functionality for tag organization that FF should have added in the first place.